Skip to main content
POST
/
v1
/
products
Create a product
curl --request POST \
  --url https://api.plexospay.com/v1/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "price": 50000000,
  "description": "<string>",
  "currency": "CVE",
  "metadata": {}
}
'
{
  "id": "pr_abc123",
  "name": "Premium Plan",
  "description": "<string>",
  "price": "50000",
  "currency": "CVE",
  "active": true,
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Body

application/json
name
string
required
Required string length: 1 - 255
price
integer
required

Price in centavos

Required range: 1 <= x <= 100000000
description
string
currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
metadata
object

Arbitrary key-value metadata (max 50 keys)

Response

200 - application/json

Product created

id
string
Example:

"pr_abc123"

name
string
Example:

"Premium Plan"

description
string | null
price
string
Example:

"50000"

currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
active
boolean
metadata
object

Arbitrary key-value metadata (max 50 keys)

createdAt
string<date-time>
updatedAt
string<date-time>